TV_GRAB_DTV_LA(1)

NAME
tv_grab_dtv_la - Grab TV listings for Direct TV Latin America

SYNOPSIS
tv_grab_dtv_la --help

tv_grab_dtv_la [--config-file FILE] --configure [--gui OPTION]

tv_grab_dtv_la [--config-file FILE] [--output FILE] [--days N]
           [--offset N] [--quiet]

tv_grab_dtv_la --list-channels

tv_grab_dtv_la --capabilities

tv_grab_dtv_la --version

DESCRIPTION
Output TV listings for Direct TV channels available in Latin America. When the grabber was developed it supports listings for the following countries: Argentina, Brazil, Chile, Colombia, Costa Rica, Ecuador, Guatemala, Nicaragua, Panama, Peru, Puerto Rico, Trinidad, Uruguay and Venezuela.

The tv listings comes from http://directstage.directvla.com/ The grabber relies on parsing HTML so it might stop working at any time.

First run tv_grab_dtv_la --configure to choose, first of all your country and then which channels you want to download. Then running tv_grab_dtv_la with no arguments will output listings in XML format to standard output.

The grabber doesn't generate stop times, so you may want to run tv_sort on the output to generate them.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_dtv_la.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of XMLTV::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is 3.

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--capabilities Show which capabilities the grabber supports. For more information, see <http://membled.com/twiki/bin/view/Main/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5), tv_grab_ar.

AUTHOR
Most of the grabber was made by Lic. Christian A. Rodriguez <car@cespi.unlp.edu.ar>, with a lot of help from others, specially Joaquin Salvarredy <jsalvarredy@cespi.unlp.edu.ar> who tested the grabber from it's early versions and Lic. Nicolas Macia <nmacia@cespi.unlp.edu.ar>

BUGS
This grabber extracts all information from Direct TV Latin America website. Any change in this web page may cause this grabber to stop working.